function openClose(obj){
	var srcObj = new String(obj.src)
	var tr = obj
	while(tr.nodeName != "TR"){
		tr = tr.parentNode
	}

	var trNext = tr.nextSibling
	if (trNext.nodeName == "#text") {
		trNext = trNext.nextSibling
	}

	var display = trNext.style.display
	if (display == "none") {
		trNext.style.display = ""
		obj.src = srcObj.replace(".gif", "-o.gif")
	}else{
		trNext.style.display = "none"
		obj.src = srcObj.replace("-o.gif",".gif")
	}
	return false

}

function showHidden(obj, id, id2){
	var target = document.getElementById(id)
	var target2 = document.getElementById(id2)
	var text = obj.childNodes[0]
	if(target.style.display == "none"){
		target.style.display = ""
		text.nodeValue = "Mostrar principais"
		if(target2 != null){
			target2.style.display = "none"
		}
	}else{
		target.style.display = "none"
		text.nodeValue = "Mostrar todos"
		if(target2 != null){
			target2.style.display = ""
		}
	}
	return false
}

function mostraOuEsconde (link, tabela, maximo, label) {
  tabela = document.getElementById(tabela)
  label = document.getElementById (label)
 
  if (link.childNodes[0].nodeValue.toString() == "(Listar tudo)") {
    link.childNodes[0].nodeValue="(Listar 7 primeiras)"
    label.childNodes[0].nodeValue="Todas as movimentações "

    for (i = 0; i < tabela.childNodes[0].childNodes.length; i++) {
      tabela.childNodes[0].childNodes[i].className = ""
    }
  } else {
    link.childNodes[0].nodeValue="(Listar tudo)"
    label.childNodes[0].nodeValue="7 últimas movimentações "
    
    for (i = 0; i < tabela.childNodes[0].childNodes.length; i++) {
      if (i > maximo) {
        tabela.childNodes[0].childNodes[i].className = "h"
      }
    }    
  }
}

function mostraOuEscondeApenso (link, tabela, maximo, label) {
  tabela = document.getElementById(tabela)
  label = document.getElementById (label)
 
  if (link.childNodes[0].nodeValue.toString() == "(Listar tudo)") {
    link.childNodes[0].nodeValue="(Listar 7 primeiras)"
    label.childNodes[0].nodeValue="Todos Apensos/Vinculados "

    for (i = 0; i < tabela.childNodes[0].childNodes.length; i++) {
      tabela.childNodes[0].childNodes[i].className = ""
    }
  } else {
    link.childNodes[0].nodeValue="(Listar tudo)"
    label.childNodes[0].nodeValue="7 últimos Apensos/Vinculados "
    
    for (i = 0; i < tabela.childNodes[0].childNodes.length; i++) {
      if (i > maximo) {
        tabela.childNodes[0].childNodes[i].className = "h"
      }
    }    
  }
}

function mostraOuEscondeOutroNumero1Grau (link, tabela, maximo, label) {
  tabela = document.getElementById(tabela)
  label = document.getElementById (label)
 
  if (link.childNodes[0].nodeValue.toString() == "(Listar tudo)") {
    link.childNodes[0].nodeValue="(Listar 7 primeiros)"
    label.childNodes[0].nodeValue="Todos números de 1ª instância "

    for (i = 0; i < tabela.childNodes[0].childNodes.length; i++) {
      tabela.childNodes[0].childNodes[i].className = ""
    }
  } else {
    link.childNodes[0].nodeValue="(Listar tudo)"
    label.childNodes[0].nodeValue="7 últimos números de 1ª instância "
    
    for (i = 0; i < tabela.childNodes[0].childNodes.length; i++) {
      if (i > maximo) {
        tabela.childNodes[0].childNodes[i].className = "h"
      }
    }    
  }
}

function trocaApresentacaoPartes (link, tbEnfase, tbPrincipais, tbTodas, label) {
  var objEnfase     = document.getElementById (tbEnfase);
  var objPrincipais = document.getElementById (tbPrincipais);
  var objTodas      = document.getElementById (tbTodas);
  var objLink       = document.getElementById (link);
  var objLabel      = document.getElementById (label);
  
  var $todas       = $(objTodas);
  var $principais  = $(objPrincipais);
  var $enfase      = $(objEnfase);
  var $container   = $('#partesContainer');
  var $esconderijo = $('#esconderijo');

  if (objLink.childNodes[0].nodeValue.toString() == "(Listar tudo)") {
    objLink.childNodes[0].nodeValue="(Listar principais)"
	$container.append($todas.detach());
	$esconderijo.append($enfase.detach());
    $esconderijo.append($principais.detach());
    objLabel.childNodes[0].nodeValue="Todas as Partes e Representantes"
  } else if (objLink.childNodes[0].nodeValue.toString() == "(Listar principais)") {
    objLink.childNodes[0].nodeValue="(Listar com ênfase no representante)"
	$container.append($principais.detach());
	$esconderijo.append($enfase.detach());
    $esconderijo.append($todas.detach());
    objLabel.childNodes[0].nodeValue="Principais Partes e Representantes"
  } else if (objLink.childNodes[0].nodeValue.toString().indexOf ("(Listar com ") > -1 ) {
    objLink.childNodes[0].nodeValue="(Listar tudo)"
	$container.append($enfase.detach());
	$esconderijo.append($todas.detach());
    $esconderijo.append($principais.detach());
    objLabel.childNodes[0].nodeValue="Partes com ênfase no Representantes"
  }
}
